Skip to main content
POST
/
2025-10
/
retail-media
/
retailers
/
{retailerId}
/
categories
/
search
/2025-10/retail-media/retailers/{retailerId}/categories/search
curl --request POST \
  --url https://api.criteo.com/2025-10/retail-media/retailers/{retailerId}/categories/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "categoryIds": [
        "<string>"
      ],
      "textSubstring": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": [
    {
      "attributes": {
        "name": "<string>",
        "parentId": "<string>",
        "text": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "metadata": {
    "limit": 123,
    "offset": 123,
    "count": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

retailerId
string<int32>
required

Retailer id.

Query Parameters

limit
integer<int32>
default:50

Limit of the search result.

Required range: 1 <= x <= 500
offset
integer<int32>
default:0

Offset of the search result.

Required range: 0 <= x <= 2147483647

Body

application/json

Request of categories search.

A top-level object that encapsulates a Criteo API request for a single value objects.

data
object

A value resource exposed by the API.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities and metadata.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

metadata
object

Metadata related to the current request.

warnings
object[] | null
read-only

Warnings that occured during this call.